# kcdb.h File Reference

database interface More...

`#include <kccommon.h>`
`#include <kcutil.h>`

## Classes

class | kyotocabinet::DB
| Interface of database abstraction. More...
class | kyotocabinet::DB::Visitor
| Interface to access a record. More...
class | kyotocabinet::DB::Cursor
| Interface of cursor to indicate a record. More...
class | kyotocabinet::BasicDB
| Basic implementation of database. More...
class | kyotocabinet::BasicDB::Cursor
| Interface of cursor to indicate a record. More...
class | kyotocabinet::BasicDB::Error
| Error data. More...
class | kyotocabinet::BasicDB::FileProcessor
| Interface to process the database file. More...

## Namespaces

namespace | kyotocabinet

| All symbols of Kyoto Cabinet.

## Detailed Description

database interface